scala.tools.nsc.util.ClassPath

# JavaContext

#### class JavaContext extends ClassPathContext[AbstractFile]

Source
  ClassPath.scala

Linear Supertypes
ClassPathContext[AbstractFile], AnyRef, Any
Known Subclasses
DefaultJavaContext
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaContext
2. ClassPathContext
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaContext()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JavaContext to any2stringadd[JavaContext] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JavaContext, B)

   Implicit information
     This member is added by an implicit conversion from JavaContext to ArrowAssoc[JavaContext] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def classesInExpandedPath(path: String): IndexedSeq[ClassPath[AbstractFile]]

   Definition Classes
     ClassPathContext

8. #### def classesInManifest(used: Boolean): collection.immutable.List[ClassPath[AbstractFile]]

   Definition Classes
     ClassPathContext

9. #### def classesInPath(path: String): collection.immutable.List[ClassPath[AbstractFile]]

   Definition Classes
     ClassPathContext

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def contentsOfDirsInPath(path: String): List[ClassPath[AbstractFile]]

    Definition Classes
      ClassPathContext

12. #### def ensuring(cond: (JavaContext) ⇒ Boolean, msg: ⇒ Any): JavaContext

    Implicit information
      This member is added by an implicit conversion from JavaContext to Ensuring[JavaContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (JavaContext) ⇒ Boolean): JavaContext

    Implicit information
      This member is added by an implicit conversion from JavaContext to Ensuring[JavaContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): JavaContext

    Implicit information
      This member is added by an implicit conversion from JavaContext to Ensuring[JavaContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): JavaContext

    Implicit information
      This member is added by an implicit conversion from JavaContext to Ensuring[JavaContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JavaContext to StringFormat[JavaContext] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def isValidName(name: String): Boolean

    A filter which can be used to exclude entities from the classpath based on their name.

    A filter which can be used to exclude entities from the classpath based on their name.

    Definition Classes
      ClassPathContext

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def newClassPath(dir: AbstractFile): DirectoryClassPath

    Create a new classpath based on the abstract file.

    Create a new classpath based on the abstract file.

    Definition Classes
      JavaContext → ClassPathContext

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def sourcesInPath(path: String): List[ClassPath[AbstractFile]]

    Creators for sub classpaths which preserve this context.

    Creators for sub classpaths which preserve this context.

    Definition Classes
      ClassPathContext

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toBinaryName(rep: AbstractFile): String

    From the representation to its identifier.

    From the representation to its identifier.

    Definition Classes
      JavaContext → ClassPathContext

31. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from JavaContext to CollectionsHaveToParArray[JavaContext, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (JavaContext) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### def validClassFile(name: String): Boolean

    Filters for assessing validity of various entities.

    Filters for assessing validity of various entities.

    Definition Classes
      ClassPathContext

34. #### def validPackage(name: String): Boolean

    Definition Classes
      ClassPathContext

35. #### def validSourceFile(name: String): Boolean

    Definition Classes
      ClassPathContext

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (JavaContext, B)

    Implicit information
      This member is added by an implicit conversion from JavaContext to ArrowAssoc[JavaContext] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ClassPathContext[AbstractFile]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from JavaContext to CollectionsHaveToParArray[JavaContext, T]

### Inherited by implicit conversion any2stringadd from JavaContext to any2stringadd[JavaContext]

### Inherited by implicit conversion StringFormat from JavaContext to StringFormat[JavaContext]

### Inherited by implicit conversion Ensuring from JavaContext to Ensuring[JavaContext]

### Inherited by implicit conversion ArrowAssoc from JavaContext to ArrowAssoc[JavaContext]

### Ungrouped